org.apache.cassandra.io.sstable

## Class IndexSummary.IndexSummarySerializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexSummary.IndexSummarySerializer

- Enclosing class:
    IndexSummary

      public static class IndexSummary.IndexSummarySerializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexSummarySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexSummary` | `deserialize(java.io.DataInputStream in, IPartitioner partitioner, boolean haveSamplingLevel, int expectedMinIndexInterval, int maxIndexInterval)`
    `void` | `serialize(IndexSummary t, DataOutputPlus out, boolean withSamplingLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexSummarySerializer

          public IndexSummarySerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(IndexSummary t,
                                DataOutputPlus out,
                                boolean withSamplingLevel)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public IndexSummary deserialize(java.io.DataInputStream in,
                                          IPartitioner partitioner,
                                          boolean haveSamplingLevel,
                                          int expectedMinIndexInterval,
                                          int maxIndexInterval)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation